<?php

namespace Modules\Chip\Interfaces;

use Modules\Chip\Models\Chip;


interface ChipRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function getItemTrashed(int $id);
    public function getItemByCode(string $code);
    public function create(array $request): Chip;
    public function update(array $request, Chip $chip): Chip;
    public function saveData(array $request, int $chip_id): void;
    public function destroy(Chip $chip): void;
    public function destroyAll(array $ids): void;
    public function restore(Chip $chip): void;
    public function restoreAll(array $ids): void;
}
